net.minecraft.entity

## Class Entity

- java.lang.Object
- - net.minecraft.entity.Entity

- Direct Known Subclasses:
    EntityArrow, EntityBoat, EntityDragonPart, EntityEnderCrystal, EntityEnderEye, EntityFallingBlock, EntityFireball, EntityFireworkRocket, EntityFishHook, EntityFX, EntityHanging, EntityItem, EntityLivingBase, EntityMinecart, EntityThrowable, EntityTNTPrimed, EntityWeatherEffect, EntityXPOrb

      public abstract class Entity
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Entity.EnumEntitySize`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `addedToChunk`
    `AxisAlignedBB` | `boundingBox`
    `java.util.ArrayList<EntityItem>` | `capturedDrops`
    `boolean` | `captureDrops`
    `int` | `chunkCoordX`
    `int` | `chunkCoordY`
    `int` | `chunkCoordZ`
    `protected DataWatcher` | `dataWatcher`
    `int` | `dimension`
    `float` | `distanceWalkedModified`
    `float` | `distanceWalkedOnStepModified`
    `float` | `entityCollisionReduction`
    `protected java.util.UUID` | `entityUniqueID`
    `protected java.util.HashMap<java.lang.String,IExtendedEntityProperties>` | `extendedProperties`
    `float` | `fallDistance`
    `boolean` | `field_70135_K`
    `int` | `fireResistance`
    `boolean` | `forceSpawn`
    `float` | `height`
    `int` | `hurtResistantTime`
    `boolean` | `ignoreFrustumCheck`
    `protected boolean` | `inPortal`
    `protected boolean` | `inWater`
    `boolean` | `isAirBorne`
    `boolean` | `isCollided`
    `boolean` | `isCollidedHorizontally`
    `boolean` | `isCollidedVertically`
    `boolean` | `isDead`
    `protected boolean` | `isImmuneToFire`
    `protected boolean` | `isInWeb`
    `double` | `lastTickPosX`
    `double` | `lastTickPosY`
    `double` | `lastTickPosZ`
    `double` | `motionX`
    `double` | `motionY`
    `double` | `motionZ`
    `Entity.EnumEntitySize` | `myEntitySize`
    `boolean` | `noClip`
    `boolean` | `onGround`
    `protected int` | `portalCounter`
    `double` | `posX`
    `double` | `posY`
    `double` | `posZ`
    `float` | `prevDistanceWalkedModified`
    `boolean` | `preventEntitySpawning`
    `double` | `prevPosX`
    `double` | `prevPosY`
    `double` | `prevPosZ`
    `float` | `prevRotationPitch`
    `float` | `prevRotationYaw`
    `protected java.util.Random` | `rand`
    `double` | `renderDistanceWeight`
    `Entity` | `riddenByEntity`
    `Entity` | `ridingEntity`
    `float` | `rotationPitch`
    `float` | `rotationYaw`
    `int` | `serverPosX`
    `int` | `serverPosY`
    `int` | `serverPosZ`
    `float` | `stepHeight`
    `protected int` | `teleportDirection`
    `int` | `ticksExisted`
    `int` | `timeUntilPortal`
    `boolean` | `velocityChanged`
    `float` | `width`
    `World` | `worldObj`
    `float` | `yOffset`
    `float` | `ySize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Entity(World par1World)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEntityCrashInfo(CrashReportCategory par1CrashReportCategory)`
    `void` | `addToPlayerScore(Entity par1Entity, int par2)`
    `void` | `addVelocity(double par1, double par3, double par5)`
    `void` | `applyEntityCollision(Entity par1Entity)`
    `boolean` | `attackEntityFrom(DamageSource par1DamageSource, float par2)`
    `boolean` | `canAttackWithItem()`
    `boolean` | `canBeCollidedWith()`
    `boolean` | `canBePushed()`
    `boolean` | `canRenderOnFire()`
    `boolean` | `canRiderInteract()` If a rider of this entity can interact with this entity.
    `protected boolean` | `canTriggerWalking()`
    `void` | `copyDataFrom(Entity par1Entity, boolean par2)`
    `void` | `copyLocationAndAnglesFrom(Entity par1Entity)`
    `protected void` | `dealFireDamage(int par1)`
    `boolean` | `doesEntityNotTriggerPressurePlate()`
    `EntityItem` | `dropItem(Item p_145779_1_, int p_145779_2_)`
    `EntityItem` | `entityDropItem(ItemStack par1ItemStack, float par2)`
    `protected abstract void` | `entityInit()`
    `boolean` | `equals(java.lang.Object par1Obj)`
    `void` | `extinguish()`
    `protected void` | `fall(float par1)`
    `IChatComponent` | `func_145748_c_()`
    `protected boolean` | `func_145771_j(double p_145771_1_, double p_145771_3_, double p_145771_5_)`
    `float` | `func_145772_a(Explosion p_145772_1_, World p_145772_2_, int p_145772_3_, int p_145772_4_, int p_145772_5_, Block p_145772_6_)`
    `boolean` | `func_145774_a(Explosion p_145774_1_, World p_145774_2_, int p_145774_3_, int p_145774_4_, int p_145774_5_, Block p_145774_6_, float p_145774_7_)`
    `protected void` | `func_145775_I()`
    `EntityItem` | `func_145778_a(Item p_145778_1_, int p_145778_2_, float p_145778_3_)`
    `protected void` | `func_145780_a(int p_145780_1_, int p_145780_2_, int p_145780_3_, Block p_145780_4_)`
    `void` | `func_145781_i(int p_145781_1_)`
    `int` | `getAir()`
    `AxisAlignedBB` | `getBoundingBox()`
    `float` | `getBrightness(float par1)`
    `int` | `getBrightnessForRender(float par1)`
    `float` | `getCollisionBorderSize()`
    `AxisAlignedBB` | `getCollisionBox(Entity par1Entity)`
    `java.lang.String` | `getCommandSenderName()`
    `DataWatcher` | `getDataWatcher()`
    `double` | `getDistance(double par1, double par3, double par5)`
    `double` | `getDistanceSq(double par1, double par3, double par5)`
    `double` | `getDistanceSqToEntity(Entity par1Entity)`
    `float` | `getDistanceToEntity(Entity par1Entity)`
    `NBTTagCompound` | `getEntityData()` Returns a NBTTagCompound that can be used to store custom data for this entity.
    `int` | `getEntityId()`
    `protected java.lang.String` | `getEntityString()`
    `IExtendedEntityProperties` | `getExtendedProperties(java.lang.String identifier)` Gets the extended properties identified by the passed in key
    `float` | `getEyeHeight()`
    `protected boolean` | `getFlag(int par1)`
    `ItemStack[]` | `getLastActiveItems()`
    `Vec3` | `getLookVec()`
    `int` | `getMaxInPortalTime()`
    `int` | `getMaxSafePointTries()`
    `double` | `getMountedYOffset()`
    `Entity[]` | `getParts()`
    `java.util.UUID` | `getPersistentID()`
    `ItemStack` | `getPickedResult(MovingObjectPosition target)` Called when a user uses the creative pick block button on this entity.
    `int` | `getPortalCooldown()`
    `float` | `getRotationYawHead()`
    `float` | `getShadowSize()`
    `protected java.lang.String` | `getSplashSound()`
    `protected java.lang.String` | `getSwimSound()`
    `int` | `getTeleportDirection()`
    `java.util.UUID` | `getUniqueID()`
    `double` | `getYOffset()`
    `void` | `handleHealthUpdate(byte par1)`
    `boolean` | `handleLavaMovement()`
    `boolean` | `handleWaterMovement()`
    `int` | `hashCode()`
    `boolean` | `hitByEntity(Entity par1Entity)`
    `boolean` | `interactFirst(EntityPlayer par1EntityPlayer)`
    `boolean` | `isBurning()`
    `boolean` | `isCreatureType(EnumCreatureType type, boolean forSpawnCount)` Returns true if the entity is of the @link{EnumCreatureType} provided
    `boolean` | `isEating()`
    `boolean` | `isEntityAlive()`
    `boolean` | `isEntityEqual(Entity par1Entity)`
    `boolean` | `isEntityInsideOpaqueBlock()`
    `boolean` | `isEntityInvulnerable()`
    `boolean` | `isImmuneToFire()`
    `boolean` | `isInRangeToRender3d(double p_145770_1_, double p_145770_3_, double p_145770_5_)`
    `boolean` | `isInRangeToRenderDist(double par1)`
    `boolean` | `isInsideOfMaterial(Material par1Material)`
    `boolean` | `isInvisible()`
    `boolean` | `isInvisibleToPlayer(EntityPlayer par1EntityPlayer)`
    `boolean` | `isInWater()`
    `boolean` | `isOffsetPositionInLiquid(double par1, double par3, double par5)`
    `boolean` | `isPushedByWater()`
    `boolean` | `isRiding()`
    `boolean` | `isSneaking()`
    `boolean` | `isSprinting()`
    `boolean` | `isWet()`
    `protected void` | `kill()`
    `void` | `mountEntity(Entity par1Entity)`
    `void` | `moveEntity(double par1, double par3, double par5)`
    `void` | `moveFlying(float par1, float par2, float par3)`
    `protected NBTTagList` | `newDoubleNBTList(double... par1ArrayOfDouble)`
    `protected NBTTagList` | `newFloatNBTList(float... par1ArrayOfFloat)`
    `void` | `onChunkLoad()`
    `void` | `onCollideWithPlayer(EntityPlayer par1EntityPlayer)`
    `void` | `onEntityUpdate()`
    `void` | `onKillEntity(EntityLivingBase par1EntityLivingBase)`
    `void` | `onStruckByLightning(EntityLightningBolt par1EntityLightningBolt)`
    `void` | `onUpdate()`
    `void` | `performHurtAnimation()`
    `void` | `playSound(java.lang.String par1Str, float par2, float par3)`
    `protected void` | `preparePlayerToSpawn()`
    `protected abstract void` | `readEntityFromNBT(NBTTagCompound var1)`
    `void` | `readFromNBT(NBTTagCompound par1NBTTagCompound)`
    `java.lang.String` | `registerExtendedProperties(java.lang.String identifier, IExtendedEntityProperties properties)` Register the instance of IExtendedProperties into the entity's collection.
    `void` | `resetEntityId()` Reset the entity ID to a new value.
    `void` | `setAir(int par1)`
    `void` | `setAngles(float par1, float par2)`
    `protected void` | `setBeenAttacked()`
    `void` | `setCurrentItemOrArmor(int par1, ItemStack par2ItemStack)`
    `void` | `setDead()`
    `void` | `setEating(boolean par1)`
    `void` | `setEntityId(int p_145769_1_)`
    `void` | `setFire(int par1)`
    `protected void` | `setFlag(int par1, boolean par2)`
    `void` | `setInPortal()`
    `void` | `setInvisible(boolean par1)`
    `void` | `setInWeb()`
    `void` | `setLocationAndAngles(double par1, double par3, double par5, float par7, float par8)`
    `protected void` | `setOnFireFromLava()`
    `void` | `setPosition(double par1, double par3, double par5)`
    `void` | `setPositionAndRotation(double par1, double par3, double par5, float par7, float par8)`
    `void` | `setPositionAndRotation2(double par1, double par3, double par5, float par7, float par8, int par9)`
    `protected void` | `setRotation(float par1, float par2)`
    `void` | `setRotationYawHead(float par1)`
    `protected void` | `setSize(float par1, float par2)`
    `void` | `setSneaking(boolean par1)`
    `void` | `setSprinting(boolean par1)`
    `void` | `setVelocity(double par1, double par3, double par5)`
    `void` | `setWorld(World par1World)`
    `boolean` | `shouldDismountInWater(Entity rider)` If the rider should be dismounted from the entity when the entity goes under water
    `boolean` | `shouldRenderInPass(int pass)`
    `boolean` | `shouldRiderSit()` Used in model rendering to determine if the entity riding this entity should be in the 'sitting' position.
    `protected boolean` | `shouldSetPosAfterLoading()`
    `java.lang.String` | `toString()`
    `void` | `travelToDimension(int par1)`
    `protected void` | `updateFallState(double par1, boolean par3)`
    `void` | `updateRidden()`
    `void` | `updateRiderPosition()`
    `protected abstract void` | `writeEntityToNBT(NBTTagCompound var1)`
    `boolean` | `writeMountToNBT(NBTTagCompound par1NBTTagCompound)`
    `void` | `writeToNBT(NBTTagCompound par1NBTTagCompound)`
    `boolean` | `writeToNBTOptional(NBTTagCompound par1NBTTagCompound)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### renderDistanceWeight

          public double renderDistanceWeight

    - #### preventEntitySpawning

          public boolean preventEntitySpawning

    - #### riddenByEntity

          public Entity riddenByEntity

    - #### ridingEntity

          public Entity ridingEntity

    - #### forceSpawn

          public boolean forceSpawn

    - #### worldObj

          public World worldObj

    - #### prevPosX

          public double prevPosX

    - #### prevPosY

          public double prevPosY

    - #### prevPosZ

          public double prevPosZ

    - #### posX

          public double posX

    - #### posY

          public double posY

    - #### posZ

          public double posZ

    - #### motionX

          public double motionX

    - #### motionY

          public double motionY

    - #### motionZ

          public double motionZ

    - #### rotationYaw

          public float rotationYaw

    - #### rotationPitch

          public float rotationPitch

    - #### prevRotationYaw

          public float prevRotationYaw

    - #### prevRotationPitch

          public float prevRotationPitch

    - #### boundingBox

          public final AxisAlignedBB boundingBox

    - #### onGround

          public boolean onGround

    - #### isCollidedHorizontally

          public boolean isCollidedHorizontally

    - #### isCollidedVertically

          public boolean isCollidedVertically

    - #### isCollided

          public boolean isCollided

    - #### velocityChanged

          public boolean velocityChanged

    - #### isInWeb

          protected boolean isInWeb

    - #### field_70135_K

          public boolean field_70135_K

    - #### isDead

          public boolean isDead

    - #### yOffset

          public float yOffset

    - #### width

          public float width

    - #### height

          public float height

    - #### prevDistanceWalkedModified

          public float prevDistanceWalkedModified

    - #### distanceWalkedModified

          public float distanceWalkedModified

    - #### distanceWalkedOnStepModified

          public float distanceWalkedOnStepModified

    - #### fallDistance

          public float fallDistance

    - #### lastTickPosX

          public double lastTickPosX

    - #### lastTickPosY

          public double lastTickPosY

    - #### lastTickPosZ

          public double lastTickPosZ

    - #### ySize

          public float ySize

    - #### stepHeight

          public float stepHeight

    - #### noClip

          public boolean noClip

    - #### entityCollisionReduction

          public float entityCollisionReduction

    - #### rand

          protected java.util.Random rand

    - #### ticksExisted

          public int ticksExisted

    - #### fireResistance

          public int fireResistance

    - #### inWater

          protected boolean inWater

    - #### hurtResistantTime

          public int hurtResistantTime

    - #### isImmuneToFire

          protected boolean isImmuneToFire

    - #### dataWatcher

          protected DataWatcher dataWatcher

    - #### addedToChunk

          public boolean addedToChunk

    - #### chunkCoordX

          public int chunkCoordX

    - #### chunkCoordY

          public int chunkCoordY

    - #### chunkCoordZ

          public int chunkCoordZ

    - #### serverPosX

          public int serverPosX

    - #### serverPosY

          public int serverPosY

    - #### serverPosZ

          public int serverPosZ

    - #### ignoreFrustumCheck

          public boolean ignoreFrustumCheck

    - #### isAirBorne

          public boolean isAirBorne

    - #### timeUntilPortal

          public int timeUntilPortal

    - #### inPortal

          protected boolean inPortal

    - #### portalCounter

          protected int portalCounter

    - #### dimension

          public int dimension

    - #### teleportDirection

          protected int teleportDirection

    - #### entityUniqueID

          protected java.util.UUID entityUniqueID

    - #### myEntitySize

          public Entity.EnumEntitySize myEntitySize

    - #### captureDrops

          public boolean captureDrops

    - #### capturedDrops

          public java.util.ArrayList<EntityItem> capturedDrops

    - #### extendedProperties

          protected java.util.HashMap<java.lang.String,IExtendedEntityProperties> extendedProperties

  - ### Constructor Detail

    - #### Entity

          public Entity(World par1World)

  - ### Method Detail

    - #### getEntityId

          public int getEntityId()

    - #### setEntityId

          public void setEntityId(int p_145769_1_)

    - #### entityInit

          protected abstract void entityInit()

    - #### getDataWatcher

          public DataWatcher getDataWatcher()

    - #### equals

          public boolean equals(java.lang.Object par1Obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### preparePlayerToSpawn

          protected void preparePlayerToSpawn()

    - #### setDead

          public void setDead()

    - #### setSize

          protected void setSize(float par1,
                     float par2)

    - #### setRotation

          protected void setRotation(float par1,
                         float par2)

    - #### setPosition

          public void setPosition(double par1,
                         double par3,
                         double par5)

    - #### setAngles

          public void setAngles(float par1,
                       float par2)

    - #### onUpdate

          public void onUpdate()

    - #### onEntityUpdate

          public void onEntityUpdate()

    - #### getMaxInPortalTime

          public int getMaxInPortalTime()

    - #### setOnFireFromLava

          protected void setOnFireFromLava()

    - #### setFire

          public void setFire(int par1)

    - #### extinguish

          public void extinguish()

    - #### kill

          protected void kill()

    - #### isOffsetPositionInLiquid

          public boolean isOffsetPositionInLiquid(double par1,
                                         double par3,
                                         double par5)

    - #### moveEntity

          public void moveEntity(double par1,
                        double par3,
                        double par5)

    - #### getSwimSound

          protected java.lang.String getSwimSound()

    - #### func_145775_I

          protected void func_145775_I()

    - #### func_145780_a

          protected void func_145780_a(int p_145780_1_,
                           int p_145780_2_,
                           int p_145780_3_,
                           Block p_145780_4_)

    - #### playSound

          public void playSound(java.lang.String par1Str,
                       float par2,
                       float par3)

    - #### canTriggerWalking

          protected boolean canTriggerWalking()

    - #### updateFallState

          protected void updateFallState(double par1,
                             boolean par3)

    - #### getBoundingBox

          public AxisAlignedBB getBoundingBox()

    - #### dealFireDamage

          protected void dealFireDamage(int par1)

    - #### isImmuneToFire

          public final boolean isImmuneToFire()

    - #### fall

          protected void fall(float par1)

    - #### isWet

          public boolean isWet()

    - #### isInWater

          public boolean isInWater()

    - #### handleWaterMovement

          public boolean handleWaterMovement()

    - #### getSplashSound

          protected java.lang.String getSplashSound()

    - #### isInsideOfMaterial

          public boolean isInsideOfMaterial(Material par1Material)

    - #### getEyeHeight

          public float getEyeHeight()

    - #### handleLavaMovement

          public boolean handleLavaMovement()

    - #### moveFlying

          public void moveFlying(float par1,
                        float par2,
                        float par3)

    - #### getBrightnessForRender

          public int getBrightnessForRender(float par1)

    - #### getBrightness

          public float getBrightness(float par1)

    - #### setWorld

          public void setWorld(World par1World)

    - #### setPositionAndRotation

          public void setPositionAndRotation(double par1,
                                    double par3,
                                    double par5,
                                    float par7,
                                    float par8)

    - #### setLocationAndAngles

          public void setLocationAndAngles(double par1,
                                  double par3,
                                  double par5,
                                  float par7,
                                  float par8)

    - #### getDistanceToEntity

          public float getDistanceToEntity(Entity par1Entity)

    - #### getDistanceSq

          public double getDistanceSq(double par1,
                             double par3,
                             double par5)

    - #### getDistance

          public double getDistance(double par1,
                           double par3,
                           double par5)

    - #### getDistanceSqToEntity

          public double getDistanceSqToEntity(Entity par1Entity)

    - #### onCollideWithPlayer

          public void onCollideWithPlayer(EntityPlayer par1EntityPlayer)

    - #### applyEntityCollision

          public void applyEntityCollision(Entity par1Entity)

    - #### addVelocity

          public void addVelocity(double par1,
                         double par3,
                         double par5)

    - #### setBeenAttacked

          protected void setBeenAttacked()

    - #### attackEntityFrom

          public boolean attackEntityFrom(DamageSource par1DamageSource,
                                 float par2)

    - #### canBeCollidedWith

          public boolean canBeCollidedWith()

    - #### canBePushed

          public boolean canBePushed()

    - #### addToPlayerScore

          public void addToPlayerScore(Entity par1Entity,
                              int par2)

    - #### isInRangeToRender3d

          public boolean isInRangeToRender3d(double p_145770_1_,
                                    double p_145770_3_,
                                    double p_145770_5_)

    - #### isInRangeToRenderDist

          public boolean isInRangeToRenderDist(double par1)

    - #### writeMountToNBT

          public boolean writeMountToNBT(NBTTagCompound par1NBTTagCompound)

    - #### writeToNBTOptional

          public boolean writeToNBTOptional(NBTTagCompound par1NBTTagCompound)

    - #### writeToNBT

          public void writeToNBT(NBTTagCompound par1NBTTagCompound)

    - #### readFromNBT

          public void readFromNBT(NBTTagCompound par1NBTTagCompound)

    - #### shouldSetPosAfterLoading

          protected boolean shouldSetPosAfterLoading()

    - #### getEntityString

          protected final java.lang.String getEntityString()

    - #### readEntityFromNBT

          protected abstract void readEntityFromNBT(NBTTagCompound var1)

    - #### writeEntityToNBT

          protected abstract void writeEntityToNBT(NBTTagCompound var1)

    - #### onChunkLoad

          public void onChunkLoad()

    - #### newDoubleNBTList

          protected NBTTagList newDoubleNBTList(double... par1ArrayOfDouble)

    - #### newFloatNBTList

          protected NBTTagList newFloatNBTList(float... par1ArrayOfFloat)

    - #### dropItem

          public EntityItem dropItem(Item p_145779_1_,
                            int p_145779_2_)

    - #### func_145778_a

          public EntityItem func_145778_a(Item p_145778_1_,
                                 int p_145778_2_,
                                 float p_145778_3_)

    - #### entityDropItem

          public EntityItem entityDropItem(ItemStack par1ItemStack,
                                  float par2)

    - #### getShadowSize

          public float getShadowSize()

    - #### isEntityAlive

          public boolean isEntityAlive()

    - #### isEntityInsideOpaqueBlock

          public boolean isEntityInsideOpaqueBlock()

    - #### interactFirst

          public boolean interactFirst(EntityPlayer par1EntityPlayer)

    - #### getCollisionBox

          public AxisAlignedBB getCollisionBox(Entity par1Entity)

    - #### updateRidden

          public void updateRidden()

    - #### updateRiderPosition

          public void updateRiderPosition()

    - #### getYOffset

          public double getYOffset()

    - #### getMountedYOffset

          public double getMountedYOffset()

    - #### mountEntity

          public void mountEntity(Entity par1Entity)

    - #### setPositionAndRotation2

          public void setPositionAndRotation2(double par1,
                                     double par3,
                                     double par5,
                                     float par7,
                                     float par8,
                                     int par9)

    - #### getCollisionBorderSize

          public float getCollisionBorderSize()

    - #### getLookVec

          public Vec3 getLookVec()

    - #### setInPortal

          public void setInPortal()

    - #### getPortalCooldown

          public int getPortalCooldown()

    - #### setVelocity

          public void setVelocity(double par1,
                         double par3,
                         double par5)

    - #### handleHealthUpdate

          public void handleHealthUpdate(byte par1)

    - #### performHurtAnimation

          public void performHurtAnimation()

    - #### getLastActiveItems

          public ItemStack[] getLastActiveItems()

    - #### setCurrentItemOrArmor

          public void setCurrentItemOrArmor(int par1,
                                   ItemStack par2ItemStack)

    - #### isBurning

          public boolean isBurning()

    - #### isRiding

          public boolean isRiding()

    - #### isSneaking

          public boolean isSneaking()

    - #### setSneaking

          public void setSneaking(boolean par1)

    - #### isSprinting

          public boolean isSprinting()

    - #### setSprinting

          public void setSprinting(boolean par1)

    - #### isInvisible

          public boolean isInvisible()

    - #### isInvisibleToPlayer

          public boolean isInvisibleToPlayer(EntityPlayer par1EntityPlayer)

    - #### setInvisible

          public void setInvisible(boolean par1)

    - #### isEating

          public boolean isEating()

    - #### setEating

          public void setEating(boolean par1)

    - #### getFlag

          protected boolean getFlag(int par1)

    - #### setFlag

          protected void setFlag(int par1,
                     boolean par2)

    - #### getAir

          public int getAir()

    - #### setAir

          public void setAir(int par1)

    - #### onStruckByLightning

          public void onStruckByLightning(EntityLightningBolt par1EntityLightningBolt)

    - #### onKillEntity

          public void onKillEntity(EntityLivingBase par1EntityLivingBase)

    - #### func_145771_j

          protected boolean func_145771_j(double p_145771_1_,
                              double p_145771_3_,
                              double p_145771_5_)

    - #### setInWeb

          public void setInWeb()

    - #### getCommandSenderName

          public java.lang.String getCommandSenderName()

    - #### getParts

          public Entity[] getParts()

    - #### isEntityEqual

          public boolean isEntityEqual(Entity par1Entity)

    - #### getRotationYawHead

          public float getRotationYawHead()

    - #### setRotationYawHead

          public void setRotationYawHead(float par1)

    - #### canAttackWithItem

          public boolean canAttackWithItem()

    - #### hitByEntity

          public boolean hitByEntity(Entity par1Entity)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### isEntityInvulnerable

          public boolean isEntityInvulnerable()

    - #### copyLocationAndAnglesFrom

          public void copyLocationAndAnglesFrom(Entity par1Entity)

    - #### copyDataFrom

          public void copyDataFrom(Entity par1Entity,
                          boolean par2)

    - #### travelToDimension

          public void travelToDimension(int par1)

    - #### func_145772_a

          public float func_145772_a(Explosion p_145772_1_,
                            World p_145772_2_,
                            int p_145772_3_,
                            int p_145772_4_,
                            int p_145772_5_,
                            Block p_145772_6_)

    - #### func_145774_a

          public boolean func_145774_a(Explosion p_145774_1_,
                              World p_145774_2_,
                              int p_145774_3_,
                              int p_145774_4_,
                              int p_145774_5_,
                              Block p_145774_6_,
                              float p_145774_7_)

    - #### getMaxSafePointTries

          public int getMaxSafePointTries()

    - #### getTeleportDirection

          public int getTeleportDirection()

    - #### doesEntityNotTriggerPressurePlate

          public boolean doesEntityNotTriggerPressurePlate()

    - #### addEntityCrashInfo

          public void addEntityCrashInfo(CrashReportCategory par1CrashReportCategory)

    - #### canRenderOnFire

          public boolean canRenderOnFire()

    - #### getUniqueID

          public java.util.UUID getUniqueID()

    - #### isPushedByWater

          public boolean isPushedByWater()

    - #### func_145748_c_

          public IChatComponent func_145748_c_()

    - #### func_145781_i

          public void func_145781_i(int p_145781_1_)

    - #### getEntityData

          public NBTTagCompound getEntityData()

      Returns a NBTTagCompound that can be used to store custom data for this entity. It will be written, and read from disc, so it persists over world saves.
      Returns:
        A NBTTagCompound

    - #### shouldRiderSit

          public boolean shouldRiderSit()

      Used in model rendering to determine if the entity riding this entity should be in the 'sitting' position.
      Returns:
        false to prevent an entity that is mounted to this entity from displaying the 'sitting' animation.

    - #### getPickedResult

          public ItemStack getPickedResult(MovingObjectPosition target)

      Called when a user uses the creative pick block button on this entity.
      Parameters:
        `target` - The full target the player is looking at
      Returns:
        A ItemStack to add to the player's inventory, Null if nothing should be added.

    - #### getPersistentID

          public java.util.UUID getPersistentID()

    - #### resetEntityId

          public final void resetEntityId()

      Reset the entity ID to a new value. Not to be used from Mod code

    - #### shouldRenderInPass

          public boolean shouldRenderInPass(int pass)

    - #### isCreatureType

          public boolean isCreatureType(EnumCreatureType type,
                               boolean forSpawnCount)

      Returns true if the entity is of the @link{EnumCreatureType} provided
      Parameters:
        `type` - The EnumCreatureType type this entity is evaluating
        `forSpawnCount` - If this is being invoked to check spawn count caps.
      Returns:
        If the creature is of the type provided

    - #### registerExtendedProperties

          public java.lang.String registerExtendedProperties(java.lang.String identifier,
                                                    IExtendedEntityProperties properties)

      Register the instance of IExtendedProperties into the entity's collection.
      Parameters:
        `identifier` - The identifier which you can use to retrieve these properties for the entity.
        `properties` - The instanceof IExtendedProperties to register
      Returns:
        The identifier that was used to register the extended properties. Empty String indicates an error. If your requested key already existed, this will return a modified one that is unique.

    - #### getExtendedProperties

          public IExtendedEntityProperties getExtendedProperties(java.lang.String identifier)

      Gets the extended properties identified by the passed in key
      Parameters:
        `identifier` - The key that identifies the extended properties.
      Returns:
        The instance of IExtendedProperties that was found, or null.

    - #### canRiderInteract

          public boolean canRiderInteract()

      If a rider of this entity can interact with this entity. Should return true on the ridden entity if so.
      Returns:
        if the entity can be interacted with from a rider

    - #### shouldDismountInWater

          public boolean shouldDismountInWater(Entity rider)

      If the rider should be dismounted from the entity when the entity goes under water
      Parameters:
        `rider` - The entity that is riding
      Returns:
        if the entity should be dismounted when under water